<?php
/**
 * @package Sj Super Categories for JoomShopping
 * @version 1.0.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2014 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 *
 */

defined('_JEXEC') or die;

$big_image_config = array(
    'type' => $params->get('imgcfgcat_type'),
    'width' => $params->get('imgcfgcat_width'),
    'height' => $params->get('imgcfgcat_height'),
    'quality' => 90,
    'function' => ($params->get('imgcfgcat_function') == 'none') ? null : 'resize',
    'function_mode' => ($params->get('imgcfgcat_function') == 'none') ? null : substr($params->get('imgcfgcat_function'), 7),
    'transparency' => $params->get('imgcfgcat_transparency', 1) ? true : false,
    'background' => $params->get('imgcfgcat_background'));

//effect
$center = $options->center == 1 ? 'true' : 'false';
$nav = $options->nav == 1 ? 'true' : 'false';
$loop = $options->loop == 1 ? 'true' : 'false';

$margin = ((int)$options->margin > 0 ) ? (int)$options->margin : 5;
$autoplay = $options->autoplay == 1 ? 'true' : 'false';
$autoplayTimeout = ((int)$options->autoplayTimeout > 0 ) ? (int)$options->autoplayTimeout : 5000;
$autoplayHoverPause = ($options->autoplayHoverPause == 1) ? 'true' : 'false';
$autoplaySpeed = ((int)$options->autoplaySpeed > 0 ) ? (int)$options->autoplaySpeed : 3000;

$navSpeed = ((int)$options->navSpeed > 0 ) ? (int)$options->navSpeed : 3000;
$mouseDrag = $options->mouseDrag == 1 ? 'true' : 'false';
$touchDrag = $options->touchDrag == 1 ? 'true' : 'false';

$count_item = count($cat);
$nb_column1 = ($params->get('nb_column1', 6) >= $count_item) ? $count_item : $params->get('nb_column1', 6);
$nb_column2 = ($params->get('nb_column2', 4) >= $count_item) ? $count_item : $params->get('nb_column2', 4);
$nb_column3 = ($params->get('nb_column3', 2) >= $count_item) ? $count_item : $params->get('nb_column3', 2);
$nb_column4 = ($params->get('nb_column4', 1) >= $count_item) ? $count_item : $params->get('nb_column4', 1);

$tag = 'cat_slider_' . rand() . time();
?>

<div class="category-wrap-cat">
    <div class="title-imageslider  sp-cat-title-parent" >

        <a title="<?php echo $catparent[0]->name; ?>" href="" <?php echo K2SuperCategoryHelper::parseTarget($params->get('target')); ?>>
            <?php echo K2SuperCategoryHelper::truncate($catparent[0]->name, $params->get('category_title_max_characs', 25)); ?>
        </a>
    </div>

    <?php
    if (!empty($cat)) {
        if ($params->get('show_categories_type_slide',1) == 1 )
        {
            $cls_type = '';
        }
        else{
            $cls_type = 'sj_category_type_default';
        }
        ?>
        <div id="<?php echo $tag ?>" class="slider">
            <?php if(isset($cat) && count($cat) > 0) { ?>
                <?php if ($params->get('show_categories_slide',1) == 1) { ?>
                    <div class="cat_slider_inner <?php echo $cls_type;?>">
                        <?php
                        foreach ($cat as $cat_tree) {
                            ?>
                            <div class="item">
                                <div class="item-inner">

                                    <div class="cat_slider_image">
                                        <a href="<?php echo $cat_tree->link; ?>" title="<?php echo $cat_tree->name; ?>" <?php echo K2SuperCategoryHelper::parseTarget($params->get('target')); ?>>
                                            <?php
                                                $img = K2SuperCategoryHelper::getK2CImage($cat_tree, $params, 'imgcfgcat');
                                                echo K2SuperCategoryHelper::imageTag($img, $big_image_config);
                                            ?>
                                        </a>
                                    </div>

                                    <?php if ($params->get('category_sub_title_display', 1) && count($cat) > 1) { ?>
                                        <div class="cat_slider_title">
                                            <a href="<?php echo $cat_tree->link; ?>" title="<?php echo $cat_tree->name; ?>" <?php echo K2SuperCategoryHelper::parseTarget($params->get('target')); ?>>
                                                <?php echo K2SuperCategoryHelper::truncate($cat_tree->name, $params->get('category_sub_title_max_characs', 25)); ?>
                                            </a>
                                        </div>
                                    <?php } ?>

                                </div>
                            </div>

                        <?php } ?>
                    </div>
                <?php } ?>
            <?php }?>
        </div>
    <?php } ?>

</div>